// MEDIA QUERY

$breakpoints: (
    mobile : 480px,
    inter  : 650px,
    tablet : 768px,
    desktop: 1024px
);

@mixin mobile {
    @media screen and (max-width: map-get($breakpoints, mobile)) {
        @content;
    }
}

@mixin inter {
    @media screen and (max-width: map-get($breakpoints, inter)) {
        @content;
    }
}

@mixin tablet {
    @media screen and (max-width: map-get($breakpoints, tablet)) {
        @content;
    }
}

@mixin desktop {
    @media screen and (max-width: map-get($breakpoints, desktop)) {
        @content;
    }
}

// COLORS

$grey         : #838383;
$main         : #2c3d63;
$second       : #5E6C96;
$third        : #E6F0FF;
$complementary: #315992;

// IMPORT

@import "./navbar";
@import "./accueil";
@import "./propos";
@import "./competences";
@import "./realisations";
@import "./contact";
@import "./footer";

// UNIVERSEL

// RESET
* {
    margin         : 0;
    padding        : 0;
    font-family    : Lato, Arial, "Trebuchet MS", sans-serif;
    font-style     : normal;
    text-decoration: none;
}

html {
    scroll-behavior: smooth;
}

h1 {
    font-size: 1.8rem;
}

h2 {
    display    : block;
    position   : absolute;
    font-size  : 6rem;
    color      : #fff;
    text-shadow: 2px 0 0 $grey, -2px 0 0 $grey, 0 2px 0 $grey, 0 -2px 0 $grey, 1px 1px $grey, -1px -1px 0 $grey, 1px -1px 0 $grey, -1px 1px 0 $grey, 5px 5px 5px rgba($grey, 0.8);

    @include mobile {
        font-size: 4rem;
    }
}

h3 {
    letter-spacing: 1.2px;
}

h4 {
    font-size: 2.5rem;
}

.container {
    display        : flex;
    flex-wrap      : wrap;
    justify-content: center;
    width          : 100%;
}

// HOME PARALLAX
#home-parallax {
    z-index              : -1;
    position             : absolute;
    width                : 100%;
    height               : 439px;
    background: url("../img/home-bg.jpg") no-repeat 100% 100% / cover;

    @include tablet {
        height: 375px;
    }
}

// PARALLAX - UNIVERSAL
.parallax {
    z-index              : -1;
    position             : absolute;
    background-color     : $third;
    background-image     : url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='540' height='450' viewBox='0 0 1080 900'%3E%3Cg fill-opacity='.1'%3E%3Cpolygon fill='%23444' points='90 150 0 300 180 300'/%3E%3Cpolygon points='90 150 180 0 0 0'/%3E%3Cpolygon fill='%23AAA' points='270 150 360 0 180 0'/%3E%3Cpolygon fill='%23DDD' points='450 150 360 300 540 300'/%3E%3Cpolygon fill='%23999' points='450 150 540 0 360 0'/%3E%3Cpolygon points='630 150 540 300 720 300'/%3E%3Cpolygon fill='%23DDD' points='630 150 720 0 540 0'/%3E%3Cpolygon fill='%23444' points='810 150 720 300 900 300'/%3E%3Cpolygon fill='%23FFF' points='810 150 900 0 720 0'/%3E%3Cpolygon fill='%23DDD' points='990 150 900 300 1080 300'/%3E%3Cpolygon fill='%23444' points='990 150 1080 0 900 0'/%3E%3Cpolygon fill='%23DDD' points='90 450 0 600 180 600'/%3E%3Cpolygon points='90 450 180 300 0 300'/%3E%3Cpolygon fill='%23666' points='270 450 180 600 360 600'/%3E%3Cpolygon fill='%23AAA' points='270 450 360 300 180 300'/%3E%3Cpolygon fill='%23DDD' points='450 450 360 600 540 600'/%3E%3Cpolygon fill='%23999' points='450 450 540 300 360 300'/%3E%3Cpolygon fill='%23999' points='630 450 540 600 720 600'/%3E%3Cpolygon fill='%23FFF' points='630 450 720 300 540 300'/%3E%3Cpolygon points='810 450 720 600 900 600'/%3E%3Cpolygon fill='%23DDD' points='810 450 900 300 720 300'/%3E%3Cpolygon fill='%23AAA' points='990 450 900 600 1080 600'/%3E%3Cpolygon fill='%23444' points='990 450 1080 300 900 300'/%3E%3Cpolygon fill='%23222' points='90 750 0 900 180 900'/%3E%3Cpolygon points='270 750 180 900 360 900'/%3E%3Cpolygon fill='%23DDD' points='270 750 360 600 180 600'/%3E%3Cpolygon points='450 750 540 600 360 600'/%3E%3Cpolygon points='630 750 540 900 720 900'/%3E%3Cpolygon fill='%23444' points='630 750 720 600 540 600'/%3E%3Cpolygon fill='%23AAA' points='810 750 720 900 900 900'/%3E%3Cpolygon fill='%23666' points='810 750 900 600 720 600'/%3E%3Cpolygon fill='%23999' points='990 750 900 900 1080 900'/%3E%3Cpolygon fill='%23999' points='180 0 90 150 270 150'/%3E%3Cpolygon fill='%23444' points='360 0 270 150 450 150'/%3E%3Cpolygon fill='%23FFF' points='540 0 450 150 630 150'/%3E%3Cpolygon points='900 0 810 150 990 150'/%3E%3Cpolygon fill='%23222' points='0 300 -90 450 90 450'/%3E%3Cpolygon fill='%23FFF' points='0 300 90 150 -90 150'/%3E%3Cpolygon fill='%23FFF' points='180 300 90 450 270 450'/%3E%3Cpolygon fill='%23666' points='180 300 270 150 90 150'/%3E%3Cpolygon fill='%23222' points='360 300 270 450 450 450'/%3E%3Cpolygon fill='%23FFF' points='360 300 450 150 270 150'/%3E%3Cpolygon fill='%23444' points='540 300 450 450 630 450'/%3E%3Cpolygon fill='%23222' points='540 300 630 150 450 150'/%3E%3Cpolygon fill='%23AAA' points='720 300 630 450 810 450'/%3E%3Cpolygon fill='%23666' points='720 300 810 150 630 150'/%3E%3Cpolygon fill='%23FFF' points='900 300 810 450 990 450'/%3E%3Cpolygon fill='%23999' points='900 300 990 150 810 150'/%3E%3Cpolygon points='0 600 -90 750 90 750'/%3E%3Cpolygon fill='%23666' points='0 600 90 450 -90 450'/%3E%3Cpolygon fill='%23AAA' points='180 600 90 750 270 750'/%3E%3Cpolygon fill='%23444' points='180 600 270 450 90 450'/%3E%3Cpolygon fill='%23444' points='360 600 270 750 450 750'/%3E%3Cpolygon fill='%23999' points='360 600 450 450 270 450'/%3E%3Cpolygon fill='%23666' points='540 600 630 450 450 450'/%3E%3Cpolygon fill='%23222' points='720 600 630 750 810 750'/%3E%3Cpolygon fill='%23FFF' points='900 600 810 750 990 750'/%3E%3Cpolygon fill='%23222' points='900 600 990 450 810 450'/%3E%3Cpolygon fill='%23DDD' points='0 900 90 750 -90 750'/%3E%3Cpolygon fill='%23444' points='180 900 270 750 90 750'/%3E%3Cpolygon fill='%23FFF' points='360 900 450 750 270 750'/%3E%3Cpolygon fill='%23AAA' points='540 900 630 750 450 750'/%3E%3Cpolygon fill='%23FFF' points='720 900 810 750 630 750'/%3E%3Cpolygon fill='%23222' points='900 900 990 750 810 750'/%3E%3Cpolygon fill='%23222' points='1080 300 990 450 1170 450'/%3E%3Cpolygon fill='%23FFF' points='1080 300 1170 150 990 150'/%3E%3Cpolygon points='1080 600 990 750 1170 750'/%3E%3Cpolygon fill='%23666' points='1080 600 1170 450 990 450'/%3E%3Cpolygon fill='%23DDD' points='1080 900 1170 750 990 750'/%3E%3C/g%3E%3C/svg%3E");
    background-attachment: fixed;
}

// PROPOS PARALLAX SPECIFICATION
#propos-parallax {
    z-index      : -1;
    margin-top   : 6%;
    margin-left  : 12%;
    width        : 300px;
    height       : 300px;
    border-radius: 15px;

    &.animate {
        opacity: 1;
    }

    @include tablet {
        margin-top : 4%;
        margin-left: 13%;
        width      : 310px;
        height     : 310px;
    }

    @include mobile {
        display: none;
    }
}

// COMPETENCES PARALLAX SPECIFICATION
#competences-parallax {
    opacity: 0;
    top    : 2030px;
    width  : 100%;
    height : 50px;

    &.animate {
        opacity  : 1;
        animation: 1600ms ease-out competences-parallax;
    }

    @include tablet {
        top: 2490px;
    }

    @include inter {
        display: none;
    }
}

// REALISATIONS PARALLAX SPECIFICATION
#realisations-parallax {
    z-index      : -1;
    margin-top   : 9%;
    margin-left  : 7%;
    width        : 100%;
    height       : 360px;
    border-radius: 10px;

    @include tablet {
        margin-top : 7%;
        margin-left: 7%;
        width      : 100%;
        height     : 265px;
    }

    @include mobile {
        display: none;
    }
}
